package model

import (
	"picgo/corelib"
	"time"
)

type UserpageResponse struct {
	corelib.PaginationData
	Data []UserResponse
}

type UserResponse struct {
	ID        int64     `gorm:"primary_key;unique;not null;comment:'主键'" json:"id"`
	CreatedAt time.Time `gorm:"not null;type:timestamp;default:CURRENT_TIMESTAMP;comment:'创建时间'"`
	UpdatedAt time.Time `gorm:"not null;type:timestamp;default:CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;comment:'更新时间'"`
	Username  string    `gorm:"size:32;unique;not null;column:username;comment:'用户名'" json:"username"`
	IsSuper   int       `gorm:"type:TINYINT(1);default:0;column:is_super;comment:'是否是超级管理员-0:否,1:是'" json:"is_super"`
	Remark    string    `gorm:"size:64;column:remark;comment:'备注'" json:"remark"`
}
