function Common() {

}

// 错误弹窗
Common.prototype.AlertError = function (msg) {
    swal('提示', msg, 'error');
}

// 弹窗
Common.prototype.AlertToast = function (msg, type) {
    swal({
        'title': msg,
        'text': '',
        'type': type,
        'showCancelButton': false,
        'showConfirmButton': false,
        'timer': 1000
    })
}

// 带确认按钮的弹窗
Common.prototype.AlertConfirm = function (params) {
    swal({
        'title': params['title'] ? params['title'] : '提示',
        'showCancelButton': true,
        'showConfirmButton': true,
        'type': params['type'] ? params['type'] : '',
        'confirmButtonText': params['confirmText'] ? params['confirmText'] : '确定',
        'cancelButtonText': params['cancelText'] ? params['cancelText'] : '取消',
        'text': params['text'] ? params['text'] : ''
    }, function (isConfirm) {
        if (isConfirm) {
            if (params['confirmCallback']) {
                params['confirmCallback']()
            }
        } else {
            if (params['cancelCallback']) {
                params['cancelCallback']()
            }
        }
    })
}

Common.prototype.AlertSimpleWarn = function (msg) {
    if (!msg) {
        msg = '失败！'
    }
    let $warn = $('<div class="alert alert-danger alert-danger-simple" style="position: absolute; top:60px; right: 50%; z-index: 999; display: block;" role="alert">')
    $warn.append($('<span>' + msg + '</span>'))
    $("#body-box-top").append($warn)
    setTimeout(function () {
        $('.alert-danger-simple').remove()
    }, 3000);
}

// 成功弹窗
Common.prototype.AlertSuccessToast = function (msg) {
    if (!msg) {
        msg = '成功！'
    }
    this.AlertToast(msg, 'success')
}

var Alert = new Common()
